{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Perfil de Usuario {% endblock title %}

{% block stylesheets %}
	<link href="{{ asset('vendor/css/magic.css') }}" rel="stylesheet">
{% endblock %}

{% block body -%}
        
        	<section class="content-header">
	          <h1>
	            {{ User.uNombre | upper }} {{ User.uApPaterno | upper }} {{ User.uApMaterno | upper }}
	            <small>Perfil</small>
	          </h1>
	        </section>
        <section class="content">  

		    <div class="box box-primary">
                <div class="box-body">
                	<div class="row" style="margin-top: 2%;">
                		<div class="col-md-4">
                			<div class="ih-item circle effect3 left_to_right">
                				<a href="{{ path('select_avatar') }}">
						        	<div class="img"><img src="{{ asset('vendor/Avatars') }}/{{ app.user.avatarIntranet.URL }}"  class="img-circle"> </img></div>
						        	<div class="info">
						          		<h3>Avatar</h3>
						          		<p>Cambiar avatar</p>
						        	</div>
					        	</a>
					        </div>
                		</div>
                		<div class="col-md-8" style="padding: 5%; font-size: 35px; word-wrap: break-word; text-align: center;">
                			{{ User.uClave | upper }} - {{ User.uNombre | upper }} {{ User.uApPaterno | upper }} {{ User.uApMaterno | upper }}
                		</div>
                	</div>
                	<div class="row" style="margin-top: 2%;">

                		<div class="col-md-6">

                			<table class="table table-hover table-striped" >
                				<tr>
                					<td>Usuario CRM:<td><td><label>{{ User.uClave | upper }}</label><td>
                				<tr>
                				<tr>
                					<td>Nombre:<td><td><label>{{ User.uNombre | upper }}</label><td>
                				<tr>
                				<tr>
                					<td>Apellido Paterno:<td><td><label>{{ User.uApPaterno | upper }}</label><td>
                				<tr>
                				<tr>
                					<td>Apellido Materno:<td><td><label>{{ User.uApMaterno | upper }}</label><td>
                				<tr>
                				<tr>
                					<td>Fecha de Nacimiento:<td><td><label>{{ User.uFechaNac.date|date("d/m/Y")}}</label><td>
                				<tr>
                				<tr>
                					<td>Tipo de Usuario:<td><td><label>{{ User.tipoUsuario.valor }}</label><td>
                				<tr>
                				<tr>
                					<td>Fecha de Alta:<td><td><label>{{ User.ufechaalta.date|date("d/m/Y")}}</label><td>
                				<tr>
                				<tr>
                					<td>Ultima Modificación:<td><td><label>{{ User.ufechamodificacion.date|date("d/m/Y")}}</label><td>
                				<tr>
                				<tr>
                					<td>Modificado Por:<td><td><label>{{ User.usuarioModificacion.uNombre | upper}} {{ User.usuarioModificacion.uApPaterno | upper}} {{ User.usuarioModificacion.uApMaterno | upper}}</label><td>
                				<tr>	
                			</table>

                		</div>
                		<div class="col-md-6">

                			<table class="table table-hover table-striped" >
                				<thead>
                					<th class="info">Direcciones</th>
                				</thead>	
                				<tbody>
                					
                					{%  for dir in User.direcciones %}
                					<tr class="warning">
                						<td>{{ dir.calle }} {{ dir.noExt }} {{ dir.noInt }} {{ dir.colonia }} {{ dir.cp }} {{ dir.municipio }} {{ dir.estado }}  </td>
                					</tr>	
                					{% endfor %}
                						
                				</tbody>	
                			</table>

                		</div>	

                	</div>
                </div>
             </div>
		    

		</section> 	
    

{% endblock %}

{% block javascripts %}
<script>var TestJSON = {{ User|json_encode()|raw }};</script> 
	<script>
	</script>
{% endblock %}